
using Godot;
using Rokojori;
using System.Collections.Generic;
using System.Linq;

namespace Rokojori
{ 
  [Tool]
  [GlobalClass,Icon("res://addons/rokojori_action_library/Icons/UIRegion.svg")]
  public partial class UIScrollContainer:UIRegion
  { 
    [Export]
    public Control horizontalSlider;

    [Export]
    public Control verticalSlider;

    [Export]
    public Control content;

    public override void _Ready()
    {

    }

    bool _initialized = false;

    void Initialize()
    {
      if ( _initialized )
      {
        return;
      } 

      
    }
  }
}